const db = require("../db.js");

const commands = {
    "help": msg => {
        let guides = db
            .get("guides")
            .map(g => g.name)
            .reduce((p, c) => `${p}\n${c}`, "")
            .value();
        msg.channel.send(
            `Hello! I am NoctBot! I have answers for the most common C(O)M-related questions.\nJust ping me with one of the following keywords:\n\`\`\`${guides}\`\`\``
        );
    }
};

module.exports = {
    commands: commands
};